> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source

> Get the workspace managed resources are published from.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/managed-resources/source
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/managed-resources/source:
    get:
      tags:
        - admin
        - admin:managed-resources
      summary: Get Source
      description: Get the workspace managed resources are published from.
      operationId: admin-get_source
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedSourceSettingRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    ManagedSourceSettingRead:
      properties:
        source:
          anyOf:
            - $ref: '#/components/schemas/ManagedSourceRead'
            - type: 'null'
      type: object
      title: ManagedSourceSettingRead
      description: The managed resources source setting; ``source`` is null when unset.
    ManagedSourceRead:
      properties:
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        git_provider:
          $ref: '#/components/schemas/VcsProvider'
        git_repo_url:
          type: string
          title: Git Repo Url
      type: object
      required:
        - workspace_id
        - organization_id
        - git_provider
        - git_repo_url
      title: ManagedSourceRead
      description: The workspace managed resources are published from, and its Git binding.
    VcsProvider:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
        - bitbucket_data_center
      title: VcsProvider
      description: Version control host backing a workspace sync repository.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.